# Uses of Interface
org.codehaus.commons.compiler.ISimpleCompiler

Packages that use ISimpleCompiler
Package
Description
org.codehaus.commons.compiler
This package declares interfaces for the implementation of an `IExpressionEvaluator`, an `IScriptEvaluator`, an `IClassBodyEvaluator` and an `ISimpleCompiler`.
org.codehaus.commons.compiler.jdk
An implementation of the `org.codehaus.commons.compiler` API that uses the "JAVAC" Java compiler that is part of the "Java Development Kit" (JDK).
org.codehaus.janino
The core of the Janino Java compiler.

## Uses of ISimpleCompiler in org.codehaus.commons.compiler

Methods in org.codehaus.commons.compiler that return ISimpleCompiler
Modifier and Type
Method
Description
`ISimpleCompiler`
AbstractCompilerFactory.`newSimpleCompiler()`
`ISimpleCompiler`
ICompilerFactory.`newSimpleCompiler()`

## Uses of ISimpleCompiler in org.codehaus.commons.compiler.jdk

Classes in org.codehaus.commons.compiler.jdk that implement ISimpleCompiler
Modifier and Type
Class
Description
`class`
`SimpleCompiler`
`javax.tools`-based implementation of `ISimpleCompiler`.
Methods in org.codehaus.commons.compiler.jdk that return ISimpleCompiler
Modifier and Type
Method
Description
`ISimpleCompiler`
CompilerFactory.`newSimpleCompiler()`

## Uses of ISimpleCompiler in org.codehaus.janino

Classes in org.codehaus.janino that implement ISimpleCompiler
Modifier and Type
Class
Description
`class`
`SimpleCompiler`
To set up a `SimpleCompiler` object, proceed as described for `ISimpleCompiler`.
Methods in org.codehaus.janino that return ISimpleCompiler
Modifier and Type
Method
Description
`ISimpleCompiler`
CompilerFactory.`newSimpleCompiler()`